Bug 457991 - /etc/init.d/cman unmounts configfs unconditionally
/etc/init.d/cman unmounts configfs unconditionally
Product: Fedora
Classification: Fedora
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabio Massimo Di Nitto
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-05 20:29 EDT by Joel Becker
Modified: 2009-05-04 07:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-05-04 07:37:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joel Becker 2008-08-05 20:29:43 EDT
Description of problem:

There are more users of configfs than cman, including o2cb and netconsole.  Thus, it is unexpected (and anti-social) behavior for cman to unmount configfs unconditionally.  It is easy to check before unmounting configfs.

For example, in o2cb.init, we do it like this:

    # Only unmount configfs if there are no other users
    if [ -z "$(ls -1 "$(configfs_path)")" ]
        unmount_filesystem "configfs" "$(configfs_path)"
        if_fail $?

Version-Release number of selected component (if applicable):

All versions

How reproducible:

Every time
Comment 1 Fabio Massimo Di Nitto 2008-08-07 04:44:42 EDT
Hi Chris,

I fixed this in master/stable2 with this commit: 807f68e240762b223a0db57c4ca95f2a3c45245f

It should propagate down to RHEL* branches. Please let me know if you want to do it, or can I.

Comment 3 Bug Zapper 2008-11-25 21:40:32 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
Comment 4 Steve Whitehouse 2008-12-10 12:33:11 EST
Fabio, I think this has been fixed juding by the above comments, can we close this now?
Comment 5 Fabio Massimo Di Nitto 2009-01-21 01:40:50 EST
Fixed in RHEL5 branch: 359aa12fbcec49a581166089582c55e3e3e378d1

RHEL4 is not affected.

Chris please advice if you want it in RHEL5* branches as well.

Comment 6 Fabio Massimo Di Nitto 2009-05-04 07:37:40 EDT
Ok I think the fix has propagated everywhere, otherwise Chris can reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.